local VillageDeco = ...

VillageDeco:register({
	DataType = "MONUMENT",
	Id = "FLOWERS_MONUMENT",
	Name = "FLOWERS_NAME",
	Description = "FLOWERS_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{
			Name = "SUNFLOWER_LIST_NAME",
	        BuildingPartList = {
				"SUNFLOWER_TALL",
				"SUNFLOWER_MEDIUM"
			}
		},
		{
			Name = "VINE_LIST_NAME",
	        BuildingPartList = {
				"VINE_ROOT_BASE_PART",
				"VINE_ROOT_LEFT_PART",
				"VINE_ROOT_RIGHT_PART",
				"VINE_ROOT_SIDE_PART"
			}
		},
		{
			Name = "ROSE_PINK_NAME",
	        BuildingPartList = {
				"ROSE_PINK_ROOT_BASE_PART",
				"ROSE_PINK_ROOT_LEFT_PART",
				"ROSE_PINK_ROOT_RIGHT_PART",
				"ROSE_PINK_ROOT_SIDE_PART"
			}
		},
		{
			Name = "ROSE_RED_NAME",
	        BuildingPartList = {
				"ROSE_RED_ROOT_BASE_PART",
				"ROSE_RED_ROOT_LEFT_PART",
				"ROSE_RED_ROOT_RIGHT_PART",
				"ROSE_RED_ROOT_SIDE_PART"
			}
		},
		{
			Name = "ROSE_BLUE_NAME",
	        BuildingPartList = {
				"ROSE_BLUE_ROOT_BASE_PART",
				"ROSE_BLUE_ROOT_LEFT_PART",
				"ROSE_BLUE_ROOT_RIGHT_PART",
				"ROSE_BLUE_ROOT_SIDE_PART"
			}
		},
		{
			Name = "ROSE_PURPLE_NAME",
	        BuildingPartList = {
				"ROSE_PURPLE_ROOT_BASE_PART",
				"ROSE_PURPLE_ROOT_LEFT_PART",
				"ROSE_PURPLE_ROOT_RIGHT_PART",
				"ROSE_PURPLE_ROOT_SIDE_PART"
			}
		},
		{
			Name = "ROSE_YELLOW_NAME",
	        BuildingPartList = {
				"ROSE_YELLOW_ROOT_BASE_PART",
				"ROSE_YELLOW_ROOT_LEFT_PART",
				"ROSE_YELLOW_ROOT_RIGHT_PART",
				"ROSE_YELLOW_ROOT_SIDE_PART"
			}
		},
		{
			Name = "ROSE_WHITE_NAME",
	        BuildingPartList = {
				"ROSE_WHITE_ROOT_BASE_PART",
				"ROSE_WHITE_ROOT_LEFT_PART",
				"ROSE_WHITE_ROOT_RIGHT_PART",
				"ROSE_WHITE_ROOT_SIDE_PART"
			}
		}
    },
	RequiredPartList = {
		{ Category = "DECORATION", Quantity = 1 }
	},
    IsEditable = true
})